[Overview][Constants][Types][Classes][Index] | Reference for unit 'BlowFish' (#fcl)

# TBlowFishDeCryptStream.Read

Read data from the stream

## Declaration

Source position: blowfish.pp line 78

`public function TBlowFishDeCryptStream.Read(`
`var Buffer;`
`Count: LongInt`
`):LongInt; override;`

## Arguments

`Buffer` |  | Memory buffer in which to place data
`Count` |  | Number of bytes to read from the stream

## Function result

Actual number of bytes read

## Description

Read reads Count bytes from the source stream, decrypts them using the key provided when the TBlowFishDeCryptStream instance was created, and writes the decrypted data to Buffer

## See also

Create |  | Create a new instance of the TBlowFishStream class
TBlowFishEncryptStream |  | On-the-fly Blowfish encryption stream

Documentation generated on: Feb 26 2014